function [dis,vel,time,Fd,Fcol]=run(m,cs,ks,ksl,cd,kd,alpha,gamma,initial_position,initial_velocity,initial_Fd)

% Ground acceleration record
load LA02short
time=la02short(1,:);
acc=la02short(2,:)*1000;

% Here we refine the time discrtization
dt_wanted=0.001;
divisor = (time(2)-time(1))/dt_wanted;
dt=(time(2)-time(1))/divisor;
timeold = time';
accold = acc';
timenew = [timeold(1):dt:max(timeold)]';
accnew = interp1q(timeold,accold,timenew);
acc=[];
time=[];
acc=accnew';
time=timenew';

%Time-history analysis using Newmark's method
[dis,vel,time,P,Fd,Fcol]=timestep_nonlin(m,cs,cd,ks,ksl,kd,acc,time,initial_position,initial_velocity,initial_Fd,alpha,gamma);
end
